Skip to main content
GET
Short Screener

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tickers
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

limit
integer
default:100

The limit of results. Default: 100. Max: 500. Min: 0.

Required range: 0 <= x <= 500
Example:

125

offset
integer
default:0

The offset of results. Default: 0. Min: 0.

Required range: x >= 0
Example:

100

min_short_interest
integer

The min short interest.

Example:

5000

max_short_interest
integer

The max short interest.

Example:

100000

min_days_to_cover
integer

The min days to cover.

Example:

1.1

max_days_to_cover
integer

The max days to cover.

Example:

5.3

min_si_float
integer

The min short interest float ratio.

Example:

0.1

max_si_float
integer

The max short interest float ratio.

Example:

0.05

min_si_float_with_synth_long_pct_of_total_shares
integer

The min si_float_with_synth_long_pct_of_total_shares.

Example:

0.05

max_si_float_with_synth_long_pct_of_total_shares
integer

The max si_float_with_synth_long_pct_of_total_shares.

Example:

0.05

min_total_float
integer

The min total float.

Example:

10000000

max_total_float
integer

The max total float.

Example:

100000000

order_by
string

ordering options.

Example:

"market_date"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

min_market_date
string<date>

A trading date in the format of YYYY-MM-DD.

Example:

"2024-01-18T00:00:00.000Z"

max_market_date
string<date>

A trading date in the format of YYYY-MM-DD.

Example:

"2024-01-18T00:00:00.000Z"

min_fee_rate
integer

The min fee rate.

Example:

0.01

max_fee_rate
integer

The max fee rate.

Example:

0.45

min_rebate_rate
integer

The min rebate rate.

Example:

0.11

max_rebate_rate
integer

The max rebate rate.

Example:

5.34

min_short_shares_available
integer

The min short shares available.

Example:

0

max_short_shares_available
integer

The max short shares available.

Example:

10000

Response

Short interest data and float information for percentage calculations based of filter parameters. This endpoint provides information about the relationship between short interest and the float, including the percentage of the float that is shorted and the days to cover metric.

days_to_cover
string

The estimated number of days to cover all short positions based on average daily trading volume.

fee_rate
string<date>

The fee rate.

market_date
string<date>

The date of the short interest data.

rebate_rate
string<date>

The rebate rate.

short_interest
integer

The total number of shares sold short.

short_shares_available
string<date>

The short shares available.

si_float
string

The short interest float ratio.

si_float_with_synth_long_pct_of_total_shares
string

The short interest float ratio with volume of shares sold short added to total float.

symbol
string

The ticker symbol.

total_float
integer

The float (available shares for trading).

Last modified on September 29, 2026